From b7ad4b27155cbc85f7e441943ce6b489f86493b6 Mon Sep 17 00:00:00 2001
From: MT <mtekman89@gmail.com>
Date: Tue, 2 May 2023 18:24:39 +0200
Subject: [PATCH 6/6] etc/ORG-NEWS,lisp/ob-tangle.el: Added news and name

* ORG-NEWS: Mentioned block-specific synchronization via the new
`:tangle-sync' header property, and mentioned the new global
`org-babel-tangle-sync-mode' for automatic synchronization.
* ob-tangle.el: Added name to contributors.
---
 etc/ORG-NEWS      | 30 +++++++++++++++++++++++++++++-
 lisp/ob-tangle.el |  2 +-
 2 files changed, 30 insertions(+), 2 deletions(-)

diff --git a/etc/ORG-NEWS b/etc/ORG-NEWS
index 03894f128..cb7b83450 100644
--- a/etc/ORG-NEWS
+++ b/etc/ORG-NEWS
@@ -207,11 +207,39 @@ selection.
 TODO state, priority, tags, statistics cookies, and COMMENT keywords
 are allowed in the tree structure.
 
-*** Asynchronous code evaluatation in ~ob-shell~
+*** Asynchronous code evaluation in ~ob-shell~
 
 Running shell blocks with the ~:session~ header freezes Emacs until
 execution completes.  The new ~:async~ header allows users to continue
 editing with Emacs while a ~:session~ block executes.
+*** Added block-specific synchronization directions during tangle/detangle operations
+
+Tangling and detangling actions can be specified at the per-block
+basis depending on whether the org-mode source block header argument
+=:tangle-sync <action>= has an action of:
+
+- =skip= :: do nothing
+
+- =import= :: only pull changes from the target tangled block into the
+              org-mode source block.
+
+- =export= :: only push changes from the target org-mode source block
+              into the tangled block
+
+- =both= (or nil) :: freely synchronize changes of current buffer to
+                     the associated source or target buffer.
+
+
+*** Automatic sync of source blocks and tangled blocks in ~ob-tangle-sync~
+
+Invoking the global minor mode =org-babel-tangle-sync-mode=
+synchronizes contents between the current block of a target tangled
+file and its associated org-mode source file block, respecting the
+desired synchronization direction from the =:tangle-sync= header
+argument. This is invoked via the `org-babel-tangle-sync-synchronize'
+function when called from either the target or source buffer, and is
+bound to the =after-save-hook= hook.
+
 
 ** Miscellaneous
 *** Blank lines after removed objects are not retained during export
diff --git a/lisp/ob-tangle.el b/lisp/ob-tangle.el
index cbe6fca0d..f199c77bc 100644
--- a/lisp/ob-tangle.el
+++ b/lisp/ob-tangle.el
@@ -2,7 +2,7 @@
 
 ;; Copyright (C) 2009-2023 Free Software Foundation, Inc.
 
-;; Author: Eric Schulte
+;; Authors: Eric Schulte, Mehmet Tekman
 ;; Keywords: literate programming, reproducible research
 ;; URL: https://orgmode.org
 
-- 
2.40.1

